Bug 232139 - ccs_get on /foo/child::*[1] doesn't work if foo's child is an empty tag
Summary: ccs_get on /foo/child::*[1] doesn't work if foo's child is an empty tag
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Cluster Suite
Classification: Retired
Component: ccs   
(Show other bugs)
Version: 4
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Lon Hohberger
QA Contact: Cluster QE
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: 212121
TreeView+ depends on / blocked
 
Reported: 2007-03-13 22:46 UTC by Lon Hohberger
Modified: 2009-04-16 20:22 UTC (History)
1 user (show)

Fixed In Version: RHBA-2007-0133
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-05-10 20:58:37 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
RHEL4 patch (2.80 KB, patch)
2007-03-13 22:46 UTC, Lon Hohberger
no flags Details | Diff


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2007:0133 normal SHIPPED_LIVE ccs bug fix update 2007-05-10 20:58:35 UTC

Description Lon Hohberger 2007-03-13 22:46:22 UTC
Description of problem:

If we have the following xml, and we issue the query "/foo/child::*[1]" to ccs:

<foo>
  <bar/>
</foo>

It does not work - and returns -ENODATA.  If we change the XML to have some sort
of child - even a text node, i.e.:

<foo>
  <bar>hello, world</bar>
</foo>

ccs_get /foo/child::*[1] works correctly (returns "bar=hello, world").

This fix is required for #212121 to be completed correctly; with the attached
patch, ccs returns  "bar=" as the result of querying the first example instead
of -ENODATA.

The patch also fixes ccs_set_state (which doesn't work at all).

Comment 1 Lon Hohberger 2007-03-13 22:46:22 UTC
Created attachment 149999 [details]
RHEL4 patch

Comment 3 Kiersten (Kerri) Anderson 2007-03-19 19:55:22 UTC
Can't be in both rhel 4.5 and cluster 4.5.  This is a cluster product fix, so
removing the rhel4.5 tag.  This one is good to go if we have a fix.  Do we have
a fix?

Comment 4 Lon Hohberger 2007-03-19 20:04:03 UTC
modificated.

Comment 8 Red Hat Bugzilla 2007-05-10 20:58:37 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2007-0133.html



Note You need to log in before you can comment on or make changes to this bug.